iwconfig complaining about wireless extension version

Jar jar at pcuf.fi
Tue Apr 12 14:01:25 EDT 2005


> I've emerged the unstable version of wireless-tools.  Do I need to
> update to the unstable version of the kernel source?  (Does "Wireless
> Extension" come with the wireless-tools package or with the kernel
> source?)
>
> vux ~ # iwconfig
> eth0      no wireless extensions.
>
> lo        no wireless extensions.
>
> Warning: Driver for device wifi0 recommend version 18 of Wireless Extension,
> but has been compiled with version 17, therefore some driver features
> may not be available...

If you want get rid of that warning, you can e.g. patch the hostap driver to report
WE17 instead of WE18.

hostap_ioctl.c
 -range->we_version_source = 18;
 +range->we_version_source = 17;

-- 
Best Regards, Jar



More information about the HostAP mailing list